Fixed- Composer detected issues in your platform: Your Composer dependencies require the following PHP extensions to be installed: iconv, json, mysqli, xml

Composer detected issues in your platform
  1. To fix this error message follow the below steps.
sudo apt install php7.4-common php7.4-mysql php7.4-xml php7.4-xmlrpc php7.4-curl php7.4-gd php7.4-imagick php7.4-cli php7.4-dev php7.4-imap php7.4-mbstring php7.4-opcache php7.4-soap php7.4-zip php7.4-intl php7.4-json -y
sudo service apache2 restart
sudo apt-get install libapache2-mod-php7.4
sudo apt remove apache2sudo apt-get remove –purge php*sudo apt-get purge php*sudo apt-get autoremovesudo apt-get autocleansudo apt-get remove dbconfig-phpsudo apt-get autoremove --purgesudo rm -rf /etc/php

How to uninstall PHP from ubuntu :- link

--

--

--

Im Youtuber

Love podcasts or audiobooks? Learn on the go with our new app.

Recommended from Medium

●FEATURES OF JAVA:-

Terminal for Data Scientists

OpenCV-An overview

Implement a chat service with Go + WebSocket

Builder Design Pattern In java

Py #2 What is Operator Overloading?

Document Processing using Telerik UI for ASP.Net

Creating AR Multiplayer App in Unity

Creating AR Multiplayer App in Unity

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store
ve Techno

ve Techno

Im Youtuber

More from Medium

Laravel Passport logout auth user from all devices. Super easy way

Building a “People who bought this item but also bought” recommendation engine.

Rough process flow of how the recommended products are generated.

How to Create a Sign-Up and Login System Using HTML, PHP, and MySQL

Upgrading PHP CodeIgniter 2.x version project to 3.x — The Right Software